Bug 66780 - (USB)usb_control/bulk_msg: timeout
(USB)usb_control/bulk_msg: timeout
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-16 04:01 EDT by tanner
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tanner 2002-06-16 04:01:52 EDT
Description of Problem:

Upgraded to kernel-2.4.18-4 and now several USB device do not function correctly.

Version-Release number of selected component (if applicable):

kernel-2.4.18-4
xsane-0.84-2
sane-backends-1.0.8-1
sane-frontends-1.0.8-1
usbview-1.0-5
usbutils-0.9-5

How Reproducible:

Attach any one of the below USB devices to a USB port and try to use it.

Steps to Reproduce:
1. Attach HP ScanJet 6200C

Actual Results:
kernel: hub.c: USB new device connect on bus1/1/3, assigned device number 5
kernel: usb.c: USB device 5 (vend/prod 0x3f0/0x201) is not claimed by any active
driver.
kernel: /etc/hotplug/usb.agent: Setup scanner for USB product 3f0/201/100
kernel: usb.c: registered new driver usbscanner
kernel: scanner.c: 0.4.6:USB Scanner Driver
kernel: usb_control/bulk_msg: timeout
last message repeated 2 times
last message repeated 4 times
scanner.c: read_scanner(0): excessive NAK's received

Expected Results:

Scanner should scan.

Steps to Reproduce:
1. Plug in Sony MSAC-US1 Memory Stick Reader

Actual Results:
<kernel detects reader, snipped for brevity>
kernel: usb_control/bulk_msg: timeout
last message repeated 2 times
last message repeated 4 times

Steps to Reproduce:
1. Plug in SanDisk Compaq Flash Reader/Writer

Actual Results:
<kernel detects reader, snipped for brevity>
kernel: usb_control/bulk_msg: timeout
last message repeated 2 times
last message repeated 4 times
Comment 1 Pete Zaitcev 2002-06-16 20:30:39 EDT
I would like to see output of "cat /proc/interrupts" on
2.4.18-3 (originally shipped with 7.3) and 2.4.18-4.
Comment 2 tanner 2002-06-18 09:29:47 EDT
kerne-2.4.18-4 

$ cat /proc/interrupts
           CPU0
  0:    2444544          XT-PIC  timer
  1:       8633          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:     121507          XT-PIC  usb-uhci, usb-uhci, eth0
  6:         81          XT-PIC  floppy
  8:    6184861          XT-PIC  rtc
 10:       2822          XT-PIC  EMU10K1
 12:     134794          XT-PIC  PS/2 Mouse
 14:     337969          XT-PIC  ide0
 15:     227080          XT-PIC  ide1
NMI:          0
LOC:          0
ERR:          0
MIS:          0
Comment 3 tanner 2002-06-18 09:31:46 EDT
Downloading the -3 release, will post it here when it's done.
Comment 4 Pete Zaitcev 2002-06-18 16:34:24 EDT
Something does not match. You said "upgraded to 2.4.18-4",
and you only could upgrade from 2.4.18-3 (GA for 7.3).
You are supposed to have it installed already, and not downloading it.

What was the last working kernel? Please give me /proc/interrupts
and lspci -v from that one.

If you already finished -3 download, give it a test too.
I hear some vague reports of regressions in -4, so you might
be a victim of that. But otherwise, please clear the situation first.

Comment 5 tanner 2002-06-18 17:03:07 EDT
> Something does not match. You said "upgraded to 2.4.18-4",
> and you only could upgrade from 2.4.18-3 (GA for 7.3).
> You are supposed to have it installed already, and not downloading it.

Redhat 7.3 installs 2.4.18-3 as the default, on May 9th 2.4.18-4 was released. I
have 2.4.18-4 installed now (running kernel). I rpm -e 2.4.18-3 after I
upgraded, thus the comment on downloading 2.4.18-3 again.

> What was the last working kernel? 

Redhat 7.2 <-- notice the release and 2.4.9-34 kernel

> Please give me /proc/interrupts and lspci -v from that one.

Ugh. I cannot give you this info, since I'm all 7.3 now and I do not really want
to blow-away all of my 7.3 stuff. I understand of this requires the bug to be
moved to WONTFIX, since I cannot (ok, will not) give you the necessary info to
fix the problem.

>If you already finished -3 download, give it a test too. I hear some vague
>reports of regressions in -4, so you might
>be a victim of that. But otherwise, please clear the situation first.

I get the exact same error messages in -3, thus the upgrade to -4, here is the
info from -4 

% cat /proc/interrupts
           CPU0
  0:    5141688          XT-PIC  timer
  1:      43929          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:     243555          XT-PIC  usb-uhci, usb-uhci, eth0
  8:    6327288          XT-PIC  rtc
 10:       2822          XT-PIC  EMU10K1
 12:     385278          XT-PIC  PS/2 Mouse
 14:     387450          XT-PIC  ide0
 15:     646429          XT-PIC  ide1
NMI:          0
LOC:          0
ERR:          0
MIS:          0

$ /sbin/lspci -v
00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] System
Controller (rev 13)
	Flags: bus master, medium devsel, latency 32
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Memory at f7800000 (32-bit, prefetchable) [size=4K]
	I/O ports at e000 [disabled] [size=4]
	Capabilities: <available only to root>

00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] AGP Bridge
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: ee000000-ef5fffff
	Prefetchable memory behind bridge: ef700000-f77fffff

00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
	Subsystem: Asustek Computer, Inc.: Unknown device 8040
	Flags: bus master, stepping, medium devsel, latency 0
	Capabilities: <available only to root>

00:04.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06) (prog-if
8a [Master SecP PriP])
	Flags: bus master, medium devsel, latency 32
	I/O ports at d800 [size=16]
	Capabilities: <available only to root>

00:04.2 USB Controller: VIA Technologies, Inc. USB (rev 16) (prog-if 00 [UHCI])
	Subsystem: VIA Technologies, Inc. (Wrong ID): Unknown device 1234
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at d400 [size=32]
	Capabilities: <available only to root>

00:04.3 USB Controller: VIA Technologies, Inc. USB (rev 16) (prog-if 00 [UHCI])
	Subsystem: VIA Technologies, Inc. (Wrong ID): Unknown device 1234
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at d000 [size=32]
	Capabilities: <available only to root>

00:04.4 Non-VGA unclassified device: VIA Technologies, Inc. VT82C686 [Apollo
Super ACPI] (rev 40)
	Subsystem: Asustek Computer, Inc.: Unknown device 8040
	Flags: medium devsel, IRQ 9
	Capabilities: <available only to root>

00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
	Subsystem: Asustek Computer, Inc.: Unknown device 80e2
	Flags: bus master, stepping, medium devsel, latency 32, IRQ 10
	I/O ports at a400 [size=256]
	Capabilities: <available only to root>

00:09.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)
	Subsystem: Netgear FA310TX
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at a000 [size=256]
	Memory at ed800000 (32-bit, non-prefetchable) [size=256]
	Expansion ROM at <unassigned> [disabled] [size=256K]

00:0b.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
	Subsystem: Creative Labs SBLive! Player 5.1
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at 9800 [size=32]
	Capabilities: <available only to root>

00:0b.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
	Subsystem: Creative Labs Gameport Joystick
	Flags: bus master, medium devsel, latency 32
	I/O ports at 9400 [size=8]
	Capabilities: <available only to root>

00:0d.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)
	Subsystem: Netgear FA310TX
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at 9000 [size=256]
	Memory at ed000000 (32-bit, non-prefetchable) [size=256]
	Expansion ROM at <unassigned> [disabled] [size=256K]

01:05.0 VGA compatible controller: nVidia Corporation NV20 [GeForce3] (rev a3)
(prog-if 00 [VGA])
	Subsystem: VISIONTEK: Unknown device 001b
	Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
	Memory at ee000000 (32-bit, non-prefetchable) [size=16M]
	Memory at f0000000 (32-bit, prefetchable) [size=64M]
	Memory at ef800000 (32-bit, prefetchable) [size=512K]
	Expansion ROM at ef7f0000 [disabled] [size=64K]
	Capabilities: <available only to root>

I did the above commands again saving the output to 2 seperate files, rebooted
into -3 did the commands again, diffed the files and they are the same. Thought
I'd save some space.


Comment 6 Pete Zaitcev 2002-06-18 17:38:42 EDT
I don't want to create any inconvinience, so there is no
question about returning to 7.2. But, is it possible to pull
the Ethernet board and see if the /proc/interrupts counter
still rolls for IRQ 5?
Comment 7 tanner 2002-07-11 16:24:45 EDT
I took out the NIC card.

% cat /proc/interrupts

           CPU0       
  0:      18543          XT-PIC  timer
  1:        250          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:       1425          XT-PIC  usb-uhci, usb-uhci
  8:          1          XT-PIC  rtc
 12:         23          XT-PIC  PS/2 Mouse
 14:       5908          XT-PIC  ide0
 15:         19          XT-PIC  ide1
NMI:          0 
LOC:      18506 
ERR:          3
MIS:          0

00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] System
Controller (rev 13)
	Flags: bus master, medium devsel, latency 32
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Memory at f7800000 (32-bit, prefetchable) [size=4K]
	I/O ports at e000 [disabled] [size=4]
	Capabilities: [a0] AGP version 2.0

00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] AGP Bridge
(prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: ee000000-ef6fffff
	Prefetchable memory behind bridge: ef700000-f77fffff

00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
	Subsystem: Asustek Computer, Inc.: Unknown device 8040
	Flags: bus master, stepping, medium devsel, latency 0
	Capabilities: [c0] Power Management version 2

00:04.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06) (prog-if
8a [Master SecP PriP])
	Flags: bus master, medium devsel, latency 32
	I/O ports at d800 [size=16]
	Capabilities: [c0] Power Management version 2

00:04.2 USB Controller: VIA Technologies, Inc. USB (rev 16) (prog-if 00 [UHCI])
	Subsystem: VIA Technologies, Inc. (Wrong ID): Unknown device 1234
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at d400 [size=32]
	Capabilities: [80] Power Management version 2

00:04.3 USB Controller: VIA Technologies, Inc. USB (rev 16) (prog-if 00 [UHCI])
	Subsystem: VIA Technologies, Inc. (Wrong ID): Unknown device 1234
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at d000 [size=32]
	Capabilities: [80] Power Management version 2

00:04.4 Non-VGA unclassified device: VIA Technologies, Inc. VT82C686 [Apollo
Super ACPI] (rev 40)
	Subsystem: Asustek Computer, Inc.: Unknown device 8040
	Flags: medium devsel, IRQ 9
	Capabilities: [68] Power Management version 2

00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
	Subsystem: Asustek Computer, Inc.: Unknown device 80e2
	Flags: bus master, stepping, medium devsel, latency 32, IRQ 10
	I/O ports at a400 [size=256]
	Capabilities: [c0] Power Management version 2

00:0b.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
	Subsystem: Creative Labs SBLive! Player 5.1
	Flags: bus master, medium devsel, latency 32, IRQ 10
	I/O ports at a000 [size=32]
	Capabilities: [dc] Power Management version 1

00:0b.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
	Subsystem: Creative Labs Gameport Joystick
	Flags: bus master, medium devsel, latency 32
	I/O ports at 9800 [size=8]
	Capabilities: [dc] Power Management version 1

01:05.0 VGA compatible controller: nVidia Corporation NV20 [GeForce3] (rev a3)
(prog-if 00 [VGA])
	Subsystem: VISIONTEK: Unknown device 001b
	Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
	Memory at ee000000 (32-bit, non-prefetchable) [size=16M]
	Memory at f0000000 (32-bit, prefetchable) [size=64M]
	Memory at ef800000 (32-bit, prefetchable) [size=512K]
	Expansion ROM at ef7f0000 [disabled] [size=64K]
	Capabilities: [60] Power Management version 2
	Capabilities: [44] AGP version 2.0

Comment 8 tanner 2002-08-22 10:58:28 EDT
===============================================================================

MPTable, version 2.0.15 Linux

===============================================================================

 PIRQ table found at 0x000f12f0
   Version:       1.0
   Size:          176 bytes
   PCI Router:    00:04
   PCI IRQs:      0x0000
   Compat Vendor: 0x1106
   Compat Device: 0x0586
   Miniport data: 0x00000000
   Slots:         9

-------------------------------------------------------------------------------

    PCIDev  Slot   INT A    INT B    INT C    INT D
  0 00:04     0   01/1eb8  02/1eb8  03/1eb8  05/1eb8
  1 00:0c     1   01/1eb8  02/1eb8  03/1eb8  05/1eb8
  2 00:0b     2   02/1eb8  03/1eb8  05/1eb8  01/1eb8
  3 00:0a     3   03/1eb8  05/1eb8  01/1eb8  02/1eb8
  4 00:09     4   05/1eb8  01/1eb8  02/1eb8  03/1eb8
  5 00:0d     5   05/1eb8  01/1eb8  02/1eb8  03/1eb8
  6 00:07     0   03/1eb8  05/1eb8  01/1eb8  02/1eb8
  7 00:05     0   02/1eb8  03/1eb8  05/1eb8  01/1eb8
  8 01:05     6   01/1eb8  02/1eb8  03/1eb8  05/1eb8

-------------------------------------------------------------------------------

lspci output:

00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] System
Controller (rev 13)
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 [IGD4-1P] AGP Bridge
00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
00:04.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06)
00:04.2 USB Controller: VIA Technologies, Inc. USB (rev 16)
00:04.3 USB Controller: VIA Technologies, Inc. USB (rev 16)
00:04.4 Non-VGA unclassified device: VIA Technologies, Inc. VT82C686 [Apollo
Super ACPI] (rev 40)
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:09.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)
00:0b.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
00:0b.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
00:0d.0 Ethernet controller: Lite-On Communications Inc LNE100TX (rev 20)
01:05.0 VGA compatible controller: nVidia Corporation NV20 [GeForce3] (rev a3)

===============================================================================



Gave me a warning message:

 MP FPS NOT found,
 suggest trying -grope option!!!
Comment 9 Pete Zaitcev 2003-10-06 19:21:22 EDT
Did 2.4.20-20 help? It has a significantly more robust usb-uhci.
Comment 10 Bugzilla owner 2004-09-30 11:39:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.